USB_HCD_PCI_REMOVE(9)

NAME
usb_hcd_pci_remove - shutdown processing for PCI-based HCDs

SYNOPSIS

void usb_hcd_pci_remove (struct pci_dev * dev);

ARGUMENTS

dev USB Host Controller being removed

CONTEXT

!in_interrupt

DESCRIPTION

Reverses the effect of usb_hcd_pci_probe, first invoking the HCD's stop method. It is always called from a thread context, normally ``rmmod'', ``apmd'', or something similar.

Store this function in the HCD's struct pci_driver as remove.